Skip to main content

Delete Report

Delete a report and its associated file.

DELETEhttps://api.zenpayz.com/merchant/api/v1/reports/:id
Bearer · API key

Request

Headers

HeaderDescription
Authorization
REQUIRED
Bearer {api_key}
X-Signature
REQUIRED
HMAC-SHA256 signature
X-Timestamp
REQUIRED
ISO 8601 timestamp
X-Secret-Salt
REQUIRED
Secret salt for HMAC validation

Path Parameters

ParameterTypeDescription
id
OPTIONAL
stringReport ID

Response

Success (200 OK)

{
"success": true,
"data": {
"id": "rep_550e8400-e29b-41d4-a716-446655440000",
"deleted": true
}
}

Error Responses

CodeHTTPMessage
REPORT_NOT_FOUND404Report does not exist

Examples

curl -X DELETE "https://api.zenpayz.com/merchant/api/v1/reports/rep_550e8400" \
-H "Authorization: Bearer zp_test_xxxxx" \
-H "X-Timestamp: 2024-01-15T10:30:00.000Z" \
-H "X-Signature: a1b2c3d4e5f6..." \
-H "X-Secret-Salt: your_secret_salt"